package cz.mendelu.dnaAnalyser.jwt;

import cz.mendelu.dnaAnalyser.user.User;
import org.springframework.security.core.Authentication;

import static java.text.MessageFormat.format;

public class JwtAuthenticationUtils {

    public static User toUser(Authentication authentication) {
        Object user = authentication.getPrincipal();
        if (user == null) {
            throw new JwtAuthenticationException("User not found in header");
        }
        if (!(user instanceof User)) {
            throw new JwtAuthenticationException(format("Unexpected user type {1}", user.getClass()));
        }
        return (User) user;
    }
}
