package cz.mendelu.dnaAnalyser.sequence


import cz.mendelu.dnaAnalyser.sequence.SequenceRepository
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.autoconfigure.orm.jpa.DataJpaTest
import org.springframework.boot.test.autoconfigure.orm.jpa.TestEntityManager
import org.springframework.test.context.ActiveProfiles
import spock.lang.Ignore
import spock.lang.Specification

@DataJpaTest
@ActiveProfiles("test")
class SequenceRepositoryTest extends Specification {

    @Autowired
    TestEntityManager entityManager

    @Autowired
    SequenceRepository sequenceRepository;

    @Ignore
    def "FindAll(page: null)"() {
        when:
        def page = sequenceRepository.findAll(null)

        then:
        page != null
    }

    @Ignore
    def "FindAll(page: null, tag: null)"() {
        when:
        def page = sequenceRepository.findAll(null, null)

        then:
        page != null
    }

    @Ignore
    def "FindOne: sequence exists and ownd"() {
        when:
        def sequence = sequenceRepository.findOne(null)
        then:
        sequence != null
    }

    @Ignore
    def "FindOne: sequence exists but not ownd"() {
        when:
        def sequence = sequenceRepository.findOne(null)

        then:
        sequence == null
    }

    @Ignore
    def "FindOne: sequence not exists"() {
        when:
        def sequence = sequenceRepository.findOne(null)

        then:
        sequence == null
    }

    @Ignore
    def "FindByNcbi: exists in db"() {
        when:
        def sequence = sequenceRepository.findByNcbi(null)

        then:
        sequence == null
    }

    @Ignore
    def "FindByNcbi: not exists in db"() {
        when:
        def sequence = sequenceRepository.findByNcbi(null)

        then:
        sequence == null
    }


    @Ignore
    def "FindAllTags"() {
        when:
        def sequence = sequenceRepository.findAllTags(null)

        then:
        sequence == null
    }
}
