package cz.mendelu.dnaAnalyser.utils.exception

import spock.lang.Specification

class NotFoundExceptionTest extends Specification {

    def "Create NotFoundException with Class type and UUID parameters."() {
        given:
        def type = Object.class
        def uuid = UUID.randomUUID();

        when:
        def nfe = new NotFoundException(type, uuid)

        then:
        nfe.message.contains(type.simpleName)
        nfe.message.contains(uuid.toString())
    }

    def "Create NotFoundException with formatted message"() {
        given:
        def type = Object.class
        def uuid = UUID.randomUUID();

        when:
        def nfe = new NotFoundException("Batch for entity '%s' with id: %s", type, uuid)

        then:
        nfe.message.contains(type.simpleName)
        nfe.message.contains(uuid.toString())
    }
}
